"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRegistrableInfo = exports.getRegistrableName = exports.registrableMetadataKey = void 0;
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
exports.registrableMetadataKey = "$registrableMetadata";
function getRegistrableName(constructor) {
    if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor[exports.registrableMetadataKey]) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor[exports.registrableMetadataKey].name))
        return null;
    return constructor[exports.registrableMetadataKey].name;
}
exports.getRegistrableName = getRegistrableName;
function getRegistrableInfo(constructor) {
    if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor[exports.registrableMetadataKey]))
        return null;
    return constructor[exports.registrableMetadataKey];
}
exports.getRegistrableInfo = getRegistrableInfo;
//# sourceMappingURL=registrable.js.map