"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReverseFilter = void 0;
const tslib_1 = require("tslib");
const filter_1 = require("../decorators/filter");
let ReverseFilter = class ReverseFilter {
    static factory() {
        return items => items.slice().reverse();
    }
};
ReverseFilter = (0, tslib_1.__decorate)([
    (0, filter_1.Filter)({ name: "pd-reverse" })
], ReverseFilter);
exports.ReverseFilter = ReverseFilter;
//# sourceMappingURL=reverse.filter.js.map