"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
const angular_1 = require("angular");
const framework_module_1 = require("./framework.module");
describe("Framework Module", () => {
    it("Framework shoulnd't be null", () => {
        expect(angular_1.mock.module("miracledevs-framework")).not.toBeNull();
    });
    it("Singleton shouldn't be null", () => {
        expect(framework_module_1.FrameworkModule.instance).not.toBeNull();
    });
    it("FrameworkModule should have a name", () => {
        expect(framework_module_1.FrameworkModule.instance.getModuleName()).not.toBeNull();
    });
});
//# sourceMappingURL=framework.module.spec.js.map