/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ComponentBase } from "../components/base.component";
import { IScope } from "angular";
import { InjectorService } from "../services/injector.service";
export declare class MockComponent extends ComponentBase {
    name: string;
    person: object;
    onCreated: Function;
    parent: object;
    firstRequire: MockComponent;
    secondRequire: MockComponent;
    constructor(scope: IScope, injector: InjectorService);
}
