/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
/// <reference types="jquery" />
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, ITranscludeFunction, IController } from "angular";
export declare class CommentAreaDirective extends DirectiveBase {
    protected onInit(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    private restrictEntry;
    private showCharacterLeft;
    private checkSize;
    static factory(): CommentAreaDirective;
}
export interface ICommentAreaParameters {
    defaultHeight?: number;
    maxSize?: number;
    showAlways?: boolean;
    maxSizeField?: string;
    maxSizeText?: string;
    resize?: boolean;
    restrictEntry?: boolean;
    negativeClass?: string;
}
