"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var FocusInvalidField_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.FocusInvalidField = void 0;
const tslib_1 = require("tslib");
const base_directive_1 = require("./base.directive");
const directive_1 = require("../decorators/directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let FocusInvalidField = FocusInvalidField_1 = class FocusInvalidField extends base_directive_1.DirectiveBase {
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on("submit", () => {
            var invalid = instanceElement.find(".ng-invalid");
            if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(invalid) && invalid.length > 0) {
                invalid[0].focus();
            }
        });
    }
    static factory() {
        return new FocusInvalidField_1();
    }
};
FocusInvalidField = FocusInvalidField_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "focusInvalidField",
    })
], FocusInvalidField);
exports.FocusInvalidField = FocusInvalidField;
//# sourceMappingURL=focus-invalid-field.directive.js.map