"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var FullSelectDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.FullSelectDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
let FullSelectDirective = FullSelectDirective_1 = class FullSelectDirective extends base_directive_1.DirectiveBase {
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on("focus", () => instanceElement.select());
    }
    static factory() {
        return new FullSelectDirective_1();
    }
};
FullSelectDirective = FullSelectDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "fullSelect",
    })
], FullSelectDirective);
exports.FullSelectDirective = FullSelectDirective;
//# sourceMappingURL=full-select.directive.js.map