"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var MockComponent_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockComponent = void 0;
const tslib_1 = require("tslib");
const base_component_1 = require("../components/base.component");
const component_1 = require("../decorators/component");
const angular_service_1 = require("../services/angular.service");
const injector_service_1 = require("../services/injector.service");
let MockComponent = MockComponent_1 = class MockComponent extends base_component_1.ComponentBase {
    constructor(scope, injector) {
        super(scope, injector);
    }
};
(0, tslib_1.__decorate)([
    component_1.TextBinding
], MockComponent.prototype, "name", void 0);
(0, tslib_1.__decorate)([
    component_1.InputBinding
], MockComponent.prototype, "person", void 0);
(0, tslib_1.__decorate)([
    component_1.OutputBinding
], MockComponent.prototype, "onCreated", void 0);
(0, tslib_1.__decorate)([
    component_1.TwoWayBinding
], MockComponent.prototype, "parent", void 0);
(0, tslib_1.__decorate)([
    (0, component_1.Require)(MockComponent_1, true)
], MockComponent.prototype, "firstRequire", void 0);
(0, tslib_1.__decorate)([
    (0, component_1.Require)("ngModel")
], MockComponent.prototype, "secondRequire", void 0);
MockComponent = MockComponent_1 = (0, tslib_1.__decorate)([
    (0, component_1.Component)({
        template: "<span>{{name}}</span>",
        dependencies: [angular_service_1.AngularServices.scope, injector_service_1.InjectorService],
    })
], MockComponent);
exports.MockComponent = MockComponent;
//# sourceMappingURL=mock.component.spec.js.map