"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelBase = void 0;
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
class ModelBase {
    startTracking() {
        this.original = paradigm_ui_web_shared_1.ObjectExtensions.clone(this, ["original"]);
    }
    stopTracking() {
        this.original = null;
    }
    isDirty() {
        return !paradigm_ui_web_shared_1.ObjectExtensions.isEqualTo(this, this.original, ["original"]);
    }
    isTracking() {
        return this.original != null;
    }
}
exports.ModelBase = ModelBase;
//# sourceMappingURL=base.model.js.map